org.keycloak.models

## Class UserSessionModel.SearchableFields

- java.lang.Object
- - org.keycloak.models.UserSessionModel.SearchableFields

- Enclosing interface:
    UserSessionModel

      public static class UserSessionModel.SearchableFields
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SearchableModelField<UserSessionModel>` | `BROKER_SESSION_ID`
    `static SearchableModelField<UserSessionModel>` | `BROKER_USER_ID`
    `static SearchableModelField<UserSessionModel>` | `CLIENT_ID`
    `static SearchableModelField<UserSessionModel>` | `CORRESPONDING_SESSION_ID` Represents the corresponding offline user session for the online user session.
    `static SearchableModelField<UserSessionModel>` | `ID`
    `static SearchableModelField<UserSessionModel>` | `IS_OFFLINE`
    `static SearchableModelField<UserSessionModel>` | `LAST_SESSION_REFRESH`
    `static SearchableModelField<UserSessionModel>` | `REALM_ID`
    `static SearchableModelField<UserSessionModel>` | `USER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchableFields()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final SearchableModelField<UserSessionModel> ID

    - #### CORRESPONDING_SESSION_ID

          public static final SearchableModelField<UserSessionModel> CORRESPONDING_SESSION_ID

      Represents the corresponding offline user session for the online user session. null if there is no corresponding offline user session.

    - #### REALM_ID

          public static final SearchableModelField<UserSessionModel> REALM_ID

    - #### USER_ID

          public static final SearchableModelField<UserSessionModel> USER_ID

    - #### CLIENT_ID

          public static final SearchableModelField<UserSessionModel> CLIENT_ID

    - #### BROKER_SESSION_ID

          public static final SearchableModelField<UserSessionModel> BROKER_SESSION_ID

    - #### BROKER_USER_ID

          public static final SearchableModelField<UserSessionModel> BROKER_USER_ID

    - #### IS_OFFLINE

          public static final SearchableModelField<UserSessionModel> IS_OFFLINE

    - #### LAST_SESSION_REFRESH

          public static final SearchableModelField<UserSessionModel> LAST_SESSION_REFRESH

  - ### Constructor Detail

    - #### SearchableFields

          public SearchableFields()

Copyright © 2021 JBoss by Red Hat. All rights reserved.